Chained filters crash QGIS when switching between ui tabs
Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Relations

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25632

Description

chain_relation_bug.gif

For a relation with chained filters and custom ui, switching between tabs like in the above gif crashes QGIS Master with the following

debug output:

Fatal: ASSERT failure in QList<T>::at: "index out of range", file /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h, line 541

I've attached a demo project, steps to reproduce the bug:

    -  Open the form of the pipe

    -  Switch to the second tab

    -  Switch back to the first tab and the issue is reproduced

The issue disappears when disabling the chain filter option.

Associated revisions

Revision a0d0648d - 2018-01-22 04:54 PM - Denis Rouzaud

fix Chained filters crash QGIS when switching between ui tabs

fix #17736

History

#1 - 2018-01-19 08:55 PM - Denis Rouzaud

https://github.com/qgis/QGIS/pull/6114

#2 - 2018-01-22 04:54 PM - Denis Rouzaud

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|a0d0648da5f8e0d10c0f4c1edc64891e34455460.
https://github.com/qgis/QGIS/pull/6114


#3 - 2018-02-22 11:13 AM - Giovanni Manghi

- Resolution set to fixed/implemented
